Subject: Re: bug#44664: 28.0.50; troubles with some chars in term

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 29 Nov 2020 10:58:16 +0100

Eli Zaretskii <[email-masked]> writes:

>> You mean they are so wide that compressing them will make them illegible?
>
> I don't know how to "compress" glyphs, actually.  I hoped that we can
> get away with just "padding", which boils down to enlarging their
> width metrics.  But if we need to make the width significantly smaller
> than the font glyph font says, I don't know what would be the effect
> of that, and I have no idea how to "shrink" a glyph on display.

Oh, I thought you said that we shrink some glyphs vertically already?

I imagined shrinking the width of a glyph would mean just throwing away
some vertical lines, or specify a transformation matrix, or something.
(I have not looked at the code, as you can tell.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no